Package org.apache.lucene.index

## Interface QueryTimeout

- All Known Implementing Classes:
    `QueryTimeoutImpl`

      public interface QueryTimeout

  Query timeout abstraction that controls whether a query should continue or be stopped. Can be set to the searcher through `IndexSearcher.setTimeout(QueryTimeout)`, in which case bulk scoring will be time-bound. Can also be used in combination with `ExitableDirectoryReader`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `shouldExit()` | Called to determine whether to stop processing a query

- - ### Method Detail

    - #### shouldExit

          boolean shouldExit()

      Called to determine whether to stop processing a query
      Returns:
        true if the query should stop, false otherwise